Package org.bukkit.block.data

# Interface Rotatable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Sign`

public interface Rotatable extends BlockData
'rotation' represents the current rotation of this block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockFace`
`getRotation()`
Gets the value of the 'rotation' property.
`void`
`setRotation(@NotNull BlockFace rotation)`
Sets the value of the 'rotation' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getRotation

@NotNull @NotNull BlockFace getRotation()
Gets the value of the 'rotation' property.

Returns:
  the 'rotation' value

### setRotation

void setRotation(@NotNull @NotNull BlockFace rotation)
Sets the value of the 'rotation' property.

Parameters:
  `rotation` - the new 'rotation' value